com.smartgwt.client.types

## Enum DSInheritanceMode

- java.lang.Object
- - java.lang.Enum<DSInheritanceMode>
  - - com.smartgwt.client.types.DSInheritanceMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DSInheritanceMode>

      public enum DSInheritanceMode
      extends java.lang.Enum<DSInheritanceMode>
      implements ValueEnum

  For DataSources of type "sql" and "hibernate", specifies the kind of inheritance to use when a dataSource specifies `inheritsFrom`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULL` Inherit fields by copying them onto the inheriting DataSource's underlying table.
    `NONE` Do not physically inherit fields onto the inheriting DataSource's SQL table.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DSInheritanceMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DSInheritanceMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FULL

          public static final DSInheritanceMode FULL

      Inherit fields by copying them onto the inheriting DataSource's underlying table. When we import a DataSource with this inheritanceMode, we create actual columns for inherited fields on the table we create. With this inheritanceMode, inherited fields are updatable.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "full".

    - #### NONE

          public static final DSInheritanceMode NONE

      Do not physically inherit fields onto the inheriting DataSource's SQL table. Columns will not be created for inherited fields on import, and all generated SQL operations will exclude inherited fields. However, those fields are still part of the DataSource's schema so you can, for example, write `custom SQL` that returns values for the inherited fields, and they will be delivered to the client.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### Method Detail

    - #### values

          public static DSInheritanceMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DSInheritanceMode c : DSInheritanceMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DSInheritanceMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`